<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="AREA.html"><font color="#008000">AREA</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Window Clipping. (Algorithm by Benoit Sonntag)"</font>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong>     := <font color="#A020F0">5</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_video</font></strong>:<a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a> := 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_inbox</font></strong>:<a href="INBOX.html"><font color="#008000">INBOX</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="INTERFACE.html"><font color="#008000">INTERFACE</font></a>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_video_support</font></strong> bmp:<a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Redefine BITMAP.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B> Size zone.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">height</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">width</font></strong> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;	
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">x_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">y_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">x_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">y_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B> Simple clipping.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">clip_x0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>; 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">clip_y0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">clip_x1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">clip_y1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B> Current position.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">spot_x</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">spot_y</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
    
  <br><font FACE="Sans-serif" color="#000000"><B> Current color.</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B> Slave display.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_pixel_hard</font></strong>  (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>; 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>; 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> 
  <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>; 
  
  <br><font FACE="Sans-serif" color="#000000"><B> Master / Normal display.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B> Window links.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent</font></strong>:<a href="AREA.html"><font color="#008000">AREA</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Englobe window.</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">child</font></strong> :<a href="AREA.html"><font color="#008000">AREA</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  First children.</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">prev</font></strong>  :<a href="AREA.html"><font color="#008000">AREA</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Previous window.</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next</font></strong>  :<a href="AREA.html"><font color="#008000">AREA</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Next window.</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B> +-parent---------------------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |           +-self-----------|</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  +-next---|                |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  |        |    +-child--+  |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  |        |    |        |  |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  |        |    +--------+  |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  |        |  +-prev--------|</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  |        +--|             |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |  +-----------|             |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |              |             |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> +----------------------------+</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">plan</font></strong>:<a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">clip</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Cash clip zone.</font></strong></em>

  <br><font FACE="Sans-serif" color="#000000"><B> Current window absolute position.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x_window</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y_window</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>; 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next</font></strong> new:<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_prev</font></strong> new:<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_child</font></strong> new:<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">debug_display</font></strong> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_x_window</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_y_window</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> New window</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> father:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">from</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Delete window</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">delete</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Moving window</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">update</font></strong> father:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">from</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
        
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">move</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_position</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Resize window.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">resize</font></strong> (lx,ly:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Resize window.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> First window</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">first</font></strong> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  put first plan window.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_window</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="AREA.html"><font color="#008000">AREA</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Get object pointer by (X,Y).</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B>////////////////////////////////////////////////////////////</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                         AREA                           //</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>////////////////////////////////////////////////////////////</B></font>
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="AREA.html"><font color="#008000">AREA</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">list_plan</font></strong>:<a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">list_x</font></strong>:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">list_y</font></strong>:<a href="LIMIT_Y.html"><font color="#008000">LIMIT_Y</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">display_list_x</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>  list_plan={plan1,plan2}</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                       </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                       .</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  plan1+---------------Y---------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |               .         |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |     plan2+----Y-----------------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          |    .         :       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          |    .         :       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          |    .         :       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  .....X..........X..............X.......X.....list_x</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          |    .         :       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          |    .         :       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |          +----Y-----------------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       |               .         | </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>       +---------------Y---------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                       .</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                     list_y</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">stack_plan</font></strong>:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="PLAN.html"><font color="#008000">PLAN</font></a>]:=
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_clip</font></strong> :<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">first_clip</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">top_clip</font></strong>  :<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B>                                   |           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                                   | top_clip  |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                                   |           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                                   +-----------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>+------------+       +-----------+ +-----------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>|            |       |           | |           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>| first_clip |  ...  | last_clip | |    NEW    |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>|            |       |           | |           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>+------------+       +-----------+ +-----------+</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add_clip</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">from</font></strong> (xmin,ymin:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (xmax,ymax:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">remove_plan</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_plan</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">update_plan</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">creat_clip</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">clip_next_child</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">clip_type1</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sub_delete</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sub_move</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sub_resize</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B> get_clip x,y :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> [clip]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   X#####+-------++-------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   |    #|       ||       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   |    #|       ||       |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   +----#######--++-------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   +---------+#-----------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   |         |#           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   |         |####>X(x,y) |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   |         ||           |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   +---------++-----------+</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">debug</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_clip</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Find clip `(x,y)', begin search is `clip'.</font></strong></em>
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">margin_clip_x0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">margin_clip_y0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">margin_clip_x1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">margin_clip_y1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">redraw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">refresh</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_object</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="AREA.html"><font color="#008000">AREA</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">receive</font></strong> msg:<a href="EVENT.html"><font color="#008000">EVENT</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Default.</font></strong></em>
  



</body>
</html>

